package controleurs;

import dao.ThreadDAO;
import dao.UserDAO;
import dto.Message;
import dto.MyThread;
import dto.User;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;
import java.util.List;

@WebServlet("/deletedAccount")
public class DeleteAccount extends HttpServlet {
    @Override
    public void service(HttpServletRequest req, HttpServletResponse res) throws IOException {

        if (req.getSession().getAttribute("user") != null) {
            UserDAO userDao = new UserDAO();
            PrintWriter out = res.getWriter();
            User user = (User) req.getSession().getAttribute("user");

            if (user != null) {
                out.println("<html><body><meta charset=\"utf-8\">");
                out.println("<link rel=\"stylesheet\" href=\"css/feed.css\">");
                out.println("<link rel=\"stylesheet\" href=\"css/account.css\">");
                out.println("<link rel=\"icon\" type=\"image/png\" href=\"css/campus_talk.png\">");

                out.println("<title>Account</title>");
                out.println("</body>");
                if (userDao.deleteUser(user)){
                    out.println("Your account was successfully deleted !");
                }else {
                    out.println("A problem occurred while deleting your account...");
                }
            }
        } else {
            res.sendRedirect("/s4a021-web-backend/");
        }
    }
}
