package dto;

import java.time.LocalDate;
import java.util.Date;

public class Message {
    private int msgId;
    private int senderId;
    private int threadId;
    private String content;
    private LocalDate creationDate;


    //      Constructor     //

    public Message(int msgId, int senderId, int threadId, String content) {
        this.msgId = msgId;
        this.senderId = senderId;
        this.threadId = threadId;
        this.content = content;
        this.creationDate = LocalDate.now();
    }

    public Message (int msgId, int senderId, int threadId, String content, LocalDate date) {
        this(msgId, senderId, threadId, content);
        this.creationDate = date;
    }


    //      Getter      //

    public int getMsgId() {
        return msgId;
    }

    public int getSenderId() {
        return senderId;
    }

    public int getThreadId() {
        return threadId;
    }

    public String getContent() {
        return content;
    }


    //      Setter      //

    public void setMsgId(int msgId) {
        this.msgId = msgId;
    }

    public void setSenderId(int senderId) {
        this.senderId = senderId;
    }

    public void setThreadId(int threadId) {
        this.threadId = threadId;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
