# S4a021 Web Backend

## Répartition des tâches

### Partie 1 - Modélisation
- script de création de tables OK
- script de requêtes fréquentes OK
- refaire le MCD proprement OK
- script de remplissage des tables OK
- dao OK
- fonctionnalités du DAO OK

### Partie 2 - Réalisation
- DAO de gestion de données OK
- construire les fonctionnalités nécessaires (**QUE DU SQL DANS LES DAO**)

=> créer un fil OK

=> s'abonner à un fil OK

=> poster un message OK

=> réagir à un message OK

- système d'authentification OK 

### Partie 3 - Extensions

- feuile de style **YANNIS** OK
- structure html page d'accueil **CHARLIE** 
- gestion des réactions (like/unlike) **CHARLIE** OK
- fonctionnalité poster un message texte **CHARLIE** OK
- gestion du compte **YANNIS** OK
- durée de vie des messages 
- service web en GET qui récupère en JSON les threads du membre identifié et les messages postés sur ces threads
- permettre de poster des images 

### Partie 4 - Documentation

En Markdown : 

- description générale de l'application
- MCD et MLD
- requêtes pertinentes avec signification
- arborescence globale de l'application
- liste des entrée des contrôleurs avec signification
- points techniques difficiles et comment ils ont été réglés