package controleurs;

import dao.ThreadDAO;
import dao.UserDAO;
import dto.Message;
import dto.MyThread;
import dto.User;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;
import java.util.List;

@WebServlet("/Account")
public class Account extends HttpServlet {
    @Override
    public void service(HttpServletRequest req, HttpServletResponse res) throws IOException {

        if (req.getSession().getAttribute("user") != null) {
            UserDAO userDao = new UserDAO();
            PrintWriter out = res.getWriter();
            String login = (String) req.getSession().getAttribute("login");
            User user = (User) req.getSession().getAttribute("user");

            if (user != null) {
                out.println("<html><body><meta charset=\"utf-8\">");
                out.println("<link rel=\"stylesheet\" href=\"css/feed.css\">");
                out.println("<link rel=\"stylesheet\" href=\"css/account.css\">");
                out.println("<link rel=\"icon\" type=\"image/png\" href=\"css/campus_talk.png\">");
                out.println("<title>Account</title>");

                out.println("<h1>Account Settings</h1>");

                out.println(PageGeneration.generateNavMenu());

                out.println("</body>");

                out.println("<section class=\"account_section\">");
                out.println("<h2>CHANGE YOUR PASSWORD</h2>");
                out.println("<form class=\"changepwdForm\" action=\"/s4a021-web-backend/Account\">");
                out.println("<input name=\"newPwd\" type=\"password\" placeholder=\"New password\">");
                out.println("<button type=\"submit\">Change it !</button>");
                out.println("</form>");

                String npwd = req.getParameter("newPwd");
                if (npwd != null){
                    System.out.println(user.getUserName());
                    System.out.println(user.getPwd());
                    System.out.println(user.getId());
                    boolean b = userDao.updatePassword(user.getUserName(), user.getPwd(), npwd);
                    req.getSession().setAttribute("user", userDao.getUserByLogs(user.getUserName(), npwd));
                    System.out.println(b);
                    if (b == true){
                        out.println("<p style=\"color:lightgreen\">Your password was successfully changed");
                    }else {
                        out.println("<p style=\"color:red\">Hmmm... try again");
                    }
                }

                out.println("</section>");

//                out.println("<h2>JE SAIS PAS</h2>");
//                out.println("<form class=\"changepwdForm\" action=\"/s4a021-web-backend/Account?interact=del\">");
//                out.println("<button type=\"submit\">Delete Account</button>");
//                out.println("</form>");

                out.println("<section class=\"account_section\">");
                out.println("<h2>DELETE YOUR ACCOUNT</h2>");
                out.println("<form class=\"delForm\" action=\"/s4a021-web-backend/deletedAccount\" method=\"post\">");
                out.println("<button type=\"submit\">Delete Account</button>");
                out.println("</form>");
                out.println("</section>");

                out.println("<footer>");
                out.println("Connected as " + login);
                out.println("</footer>");
                out.println("</html>");
            }
        } else {
            res.sendRedirect("/s4a021-web-backend/");
        }
    }
}
